diff --git a/source/nvda_service.py b/source/nvda_service.py
index 1c5297f..5f3a389 100644
--- a/source/nvda_service.py
+++ b/source/nvda_service.py
@@ -327,7 +327,9 @@ def installService(nvdaDir):
 	servicePath = os.path.join(nvdaDir, __name__ + ".exe")
 	if not os.path.isfile(servicePath):
 		raise RuntimeError("Could not find service executable")
-	win32serviceutil.InstallService(None, NVDAService._svc_name_, NVDAService._svc_display_name_, startType=win32service.SERVICE_AUTO_START, exeName=servicePath)
+	win32serviceutil.InstallService(None, NVDAService._svc_name_, NVDAService._svc_display_name_, startType=win32service.SERVICE_AUTO_START, exeName=servicePath,
+	# Translators: The NVDA service description
+	description=_(u"Allows NVDA to run on the Windows Logon screen, UAC screen and other secure screens."))
 
 def removeService():
 	win32serviceutil.RemoveService(NVDAService._svc_name_)
